Retrieve a Transaction

The single transaction endpoint provides information on a specific transaction.

This method will use 20 Compute Units.


Retrieve a Transaction

get

The single transaction endpoint provides information on a specific transaction.

Path parameters
transaction_hashstringRequired

Transactions are commands that modify the ledger state and consist of one or more operations.

Example: 5ebd5c0af4385500b53dd63b0ef5f6e8feef1a7e1c86989be3cdcce825f3c0cc
Responses
chevron-right
200

Success

application/json
idstringOptional
paging_tokenstringOptional
successfulbooleanOptional
hashstringOptional
ledgerinteger · int32Optional
created_atstringOptional
source_accountstringOptionalPattern: G[A-Z0-9]{55}
account_muxedstringOptional
account_muxed_idstringOptional
source_account_sequencestringOptional
fee_accountstringOptionalPattern: G[A-Z0-9]{55}
fee_account_muxedstringOptionalPattern: G[A-Z0-9]{55}
fee_account_muxed_idstringOptional
fee_chargedstringOptional
max_feestringOptional
operation_countinteger · int32Optional
envelope_xdrstringOptional
result_xdrstringOptional
result_meta_xdrstringOptional
fee_meta_xdrstringOptional
memo_typestringOptional
signaturesstring[]Optional
get
/transactions/{transaction_hash}
200

Success

Last updated

Was this helpful?